# User changeable levels
#
# At runtime the games reads the list 'Levels' from this file
# (CustomLevels.py) and appends all levels (dictionaries) from within
# to the standard levels.
#
# Currently, there are following colours available: "red", "orange", "yellow",
# "green", "cyan", "lightblue", "blue", "purple" and "pink"
# The numbers behind the colours express their relative abundance
# (e.g. "red": 1 and "yellow": 3 means that for every red you'll get a
# yellow block on average.
#
# The scroll speeds are in milliLines/second ;-)
#
# Size is currently ignored.
#
# All other properties are self-explanatory (i.e. you have to experiment and
# play for hours to find out what they are meaning).


Levels = [ { "name": "user levels",
             "comment": "this is an example for a user generated level",
             "size": (19, 19),
             "initialRows" : 9,
             "initialMats": {"red": 1, "orange": 1, "yellow": 1,
                             "lightblue": 2, "blue": 3},
             "inGameMats":  {"red": 1, "orange": 60, "yellow": 40,
                             "lightblue": 20, "blue": 1},
             "adjustGameMats": False,
             "initialWidth": (0, 19),
             "adaptWidth": True,
             "minimalWidth": 7,
             "scrollFullLinePerSec": 250,
             "scrollAccelShortLines": True,
             "scrollAcceleration": 5,
             "scrollSpeedMaximum": 400
             },

           { "name": "your level",
             "comment": "be creative ...\n\nto change this level edit " +
                        "file levels/CustomLevels.py",
             "size": (19, 19),
             "initialRows" : 10,
             "initialMats": {"red": 1, "lightblue": 1},
             "inGameMats":  {"red": 1, "lightblue": 1},
             "adjustGameMats": False,
             "initialWidth": (0, 19),
             "adaptWidth": True,
             "minimalWidth": 5,
             "scrollFullLinePerSec": 500,
             "scrollAccelShortLines": True,
             "scrollAcceleration": 5,
             "scrollSpeedMaximum": 1000
             }
           ]
